package com.gic.haoban.manage.web.controller.test;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.api.dto.role.HaobanMenuDTO;
import com.gic.haoban.manage.api.service.role.HaobanMenuApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author xuwenqian
 * @date 2022/9/13 3:07 下午
 */
@RequestMapping("role")
@RestController
public class HaobanRoleController {

    @Autowired
    private HaobanMenuApiService haobanMenuApiService;

    /**
     * 获取菜单树
     * @return
     */
    @RequestMapping("/getMenuTreeList")
    private RestResponse<List<HaobanMenuDTO>> getMenuTreeList() {
        ServiceResponse<List<HaobanMenuDTO>> serviceMenuTreeList = haobanMenuApiService.getMenuTreeList();
        return RestResponse.successResult(serviceMenuTreeList.getResult());
    }

}
